## org.jgroups.blocks.executor
Class ExecutorEvent

    java.lang.Object
      org.jgroups.Event
          org.jgroups.blocks.executor.ExecutorEvent

    public class ExecutorEvent

extends Event

Defines an event class for the execution of an entity.

Author:
  wburns

Field Summary
`static int` `ALL_TASK_CANCEL`
`static int` `CONSUMER_READY`
`static int` `TASK_CANCEL`
`static int` `TASK_COMPLETE`
`static int` `TASK_SUBMIT`

Fields inherited from class org.jgroups.Event

`BECOME_SERVER, BLOCK, CLOSE_BARRIER, CONFIG, CONNECT, CONNECT_USE_FLUSH, CONNECT_WITH_STATE_TRANSFER, CONNECT_WITH_STATE_TRANSFER_USE_FLUSH, DISCONNECT, FIND_ALL_MBRS, FIND_INITIAL_MBRS, GET_APPLSTATE, GET_DIGEST, GET_DIGEST_EVT, GET_LOCAL_ADDRESS, GET_LOGICAL_PHYSICAL_MAPPINGS, GET_PHYSICAL_ADDRESS, GET_STATE, GET_STATE_OK, LOCK, LOCK_AWAIT, LOCK_SIGNAL, MERGE, MERGE_DIGEST, MSG, OPEN_BARRIER, OVERWRITE_DIGEST, PREPARE_VIEW, REBROADCAST, REMOVE_ADDRESS, RESUME, RESUME_STABLE, SET_DIGEST, SET_LOCAL_ADDRESS, SET_PHYSICAL_ADDRESS, STABLE, STATE_RECEIVED, STATE_TRANSFER_INPUTSTREAM, STATE_TRANSFER_INPUTSTREAM_CLOSED, STATE_TRANSFER_OUTPUTSTREAM, STATE_TRANSFER_OUTPUTSTREAM_CLOSED, SUSPECT, SUSPEND, SUSPEND_BUT_FAIL, SUSPEND_STABLE, TMP_VIEW, UNBLOCK, UNLOCK, UNLOCK_ALL, UNSUSPECT, USER_DEFINED, VIEW_CHANGE`

Constructor Summary
`ExecutorEvent(int type, java.lang.Object arg)`

Method Summary

Methods inherited from class org.jgroups.Event
`getArg, getType, setArg, setType, toString, type2String`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TASK_SUBMIT

    public static final int TASK_SUBMIT

See Also:
  Constant Field Values

### CONSUMER_READY

    public static final int CONSUMER_READY

See Also:
  Constant Field Values

### TASK_COMPLETE

    public static final int TASK_COMPLETE

See Also:
  Constant Field Values

### TASK_CANCEL

    public static final int TASK_CANCEL

See Also:
  Constant Field Values

### ALL_TASK_CANCEL

    public static final int ALL_TASK_CANCEL

See Also:
  Constant Field Values

Constructor Detail

### ExecutorEvent

    public ExecutorEvent(int type,
                         java.lang.Object arg)

Parameters:
  `type` -
  `arg` -

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.